#!/bin/sh
if [ ! "$WM_PROJECT_DIR" -o ! "$FOAMX_PATH" ]; then
    echo $0: Set WM_PROJECT_DIR and FOAMX_PATH.
    exit
fi
# step 2
echo renaming $WM_PROJECT_DIR/docs to $WM_PROJECT_DIR/doc
mv $WM_PROJECT_DIR/docs $WM_PROJECT_DIR/doc
# step 4
echo renaming DimensionSet.H to DimensionSet_.H
mv $FOAMX_PATH/C++/FoamXLib/DimensionSet.H \
	$FOAMX_PATH/C++/FoamXLib/DimensionSet_.H
rm $FOAMX_PATH/C++/FoamXLib/lnInclude/DimensionSet.H
ln -s $FOAMX_PATH/C++/FoamXLib/DimensionSet_.H \
	$FOAMX_PATH/C++/FoamXLib/lnInclude/DimensionSet_.H
# remove myself
echo removing myself
rm $0
